package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConvenioRuta;

public class RenderConvenioRuta implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object selectedObject) throws Exception {
		
		Listcell lc = new Listcell();
		
		if(selectedObject != null) {
			ConvenioRuta convenioRuta = (ConvenioRuta) selectedObject;
			
			lc = new Listcell(convenioRuta.getRuta() != null ? convenioRuta.getRuta().getDescruta() : "");
    		lc.setParent(lstm);
    		lstm.setAttribute("data", convenioRuta);			
		}
	}
}